#
# spec file for package libical (Version 0.44)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libical
BuildRequires:  db-devel python-devel
Url:            http://sourceforge.net/projects/freeassociation/
License:        LGPL v2.1 or later ; MPL ..
Group:          Development/Libraries/C and C++
AutoReqProv:    on
Version:        0.44
Release:        2
Summary:        An Implementation of Basic iCAL Protocols
Source:         libical-%{version}.tar.bz2
Source2:        baselibs.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       libical0 = %{version}

%description
Libical is an open source implementation of the IETF's iCalendar
calendaring and scheduling protocols (RFC 2445, 2446, and 2447). It
parses iCal components and provides a C API for manipulating the
component properties, parameters, and subcomponents.



Authors:
--------
    Eric Busboom  <eric@softwarestudio.org>

%package -n libical0
License:        MPL ..
Summary:        An Implementation of Basic iCAL Protocols
Group:          Development/Libraries/C and C++
Provides:       libical = %{version}
Obsoletes:      libical < %{version}
AutoReqProv:    on

%description -n libical0
Libical is an open source implementation of the IETF's iCalendar
calendaring and scheduling protocols (RFC 2445, 2446, and 2447). It
parses iCal components and provides a C API for manipulating the
component properties, parameters, and subcomponents.



Authors:
--------
    Eric Busboom  <eric@softwarestudio.org>

%package -n libical-devel
License:        MPL ..
Summary:        An implementation of basic iCAL protocols
Group:          Development/Libraries/C and C++
Requires:       libical = %{version}
AutoReqProv:    on

%description -n libical-devel
Libical is an Open Source implementation of the IETF's iCalendar
Calendaring and Scheduling protocols. (RFC 2445, 2446, and 2447). It
parses iCal components and provides a C API for manipulating the
component properties, parameters, and subcomponents.



Authors:
--------
    Eric Busboom  <eric@softwarestudio.org>

%package -n libical-doc
License:        MPL ..
Summary:        An Implementation of Basic iCAL Protocols
Group:          Development/Libraries/C and C++
Requires:       libical = %{version}

%description -n libical-doc
Libical is an open source implementation of the IETF's iCalendar
calendaring and scheduling protocols (RFC 2445, 2446, and 2447). It
parses iCal components and provides a C API for manipulating the
component properties, parameters, and subcomponents.



Authors:
--------
    Eric Busboom  <eric@softwarestudio.org>

%prep
%setup

%build
#autoreconf -f -i
%{configure} \
	--with-bdb4 \
	--with-bdb4-dir=%{_prefix} \
	--without-builtintz \
	--enable-shared \
	--disable-static
%{__make} %{?_smp_mflags}

%install
%{makeinstall}
%{__rm} $RPM_BUILD_ROOT/%{_libdir}/libical*.la
%{__rm} doc/Makefile*
%{__rm} -rf examples/.deps
%{__rm} -rf examples/.libs
%{__rm} examples/*.o
%{__rm} examples/doesnothing
%{__rm} scripts/Makefile*
%{__sed} -i -e '1s,.*,#!/usr/bin/perl,' scripts/mkneticali.pl

%post -n libical0 -p /sbin/ldconfig

%postun -n libical0 -p /sbin/ldconfig

%files -n libical0
%defattr(-,root,root)
%doc README AUTHORS ChangeLog NEWS TEST THANKS TODO 
%{_libdir}/*.so.*

%files -n libical-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/pkgconfig/libical.pc
%{_includedir}/ical.h
%{_includedir}/libical

%files -n libical-doc
%defattr(-,root,root)
%doc doc examples scripts

%changelog
